Organization API: Org Community Guides
Every Organization API operation tagged Org Community Guides.
Base URL: https://api.coritan.com/api/v1. Paths below are complete.
To try these requests in the browser, open the interactive Organization API reference.
Operations
Section titled Operations| Method | Path | Summary |
|---|---|---|
| POST | /api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/approve |
Org admin approve |
| POST | /api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/reject |
Org admin reject |
| GET | /api/v1/orgs/{org_slug}/admin/community/guides/moderators |
List moderators |
| POST | /api/v1/orgs/{org_slug}/admin/community/guides/moderators |
Add moderator |
| DELETE | /api/v1/orgs/{org_slug}/admin/community/guides/moderators/{org_customer_id} |
Remove moderator |
Org admin approve
Section titled Org admin approvePOST /api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/approve
Warning
Deprecated. It still answers, but new code should not use it.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
article_id |
path | integer | yes |
org_slug |
path | string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Org admin reject
Section titled Org admin rejectPOST /api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/reject
Warning
Deprecated. It still answers, but new code should not use it.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
article_id |
path | integer | yes |
org_slug |
path | string | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
reason |
string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
List moderators
Section titled List moderatorsGET /api/v1/orgs/{org_slug}/admin/community/guides/moderators
Warning
Deprecated. It still answers, but new code should not use it.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Add moderator
Section titled Add moderatorPOST /api/v1/orgs/{org_slug}/admin/community/guides/moderators
Warning
Deprecated. It still answers, but new code should not use it.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
org_customer_id |
integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Remove moderator
Section titled Remove moderatorDELETE /api/v1/orgs/{org_slug}/admin/community/guides/moderators/{org_customer_id}
Warning
Deprecated. It still answers, but new code should not use it.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_customer_id |
path | integer | yes |
org_slug |
path | string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |